TMF622 v4 Product Ordering (Outbound)

POST Create Product Order

POST /productOrder

Creates a Product Order.

Request body

Media type: application/json. Schema: object.

  • id (string, required)
    Example: a3oKj0000019VGeIAM.

Example

{
  "id" : "a3oKj0000019VGeIAM"
}

Responses

  • 201

    Headers:

    • X-Ratelimit-Remaining (number, required) The amount of available quota
      Example: 5.
    • X-Ratelimit-Limit (number, required) The maximum available requests per window
      Example: 10.
    • X-Ratelimit-Reset (number, required) The remaining time, in milliseconds, until a new window starts
      Example: 3000.

    Media type: application/json. Schema: object.

    • orderDate (string)
      Example: 2025-02-11T09:25:41.000+0000.
    • relatedParty (array of object, required)
      • href (string)
        Example: /services/apexrest/vlocity_cmt/tmforum/productopenapi/v63.0/productorder/00002091Account/001Kj00002WDoq5IAD.
      • name (string)
        Example: Salesforce.
      • @type (string)
        Example: RelatedParty.
      • role (string)
        Example: Company.
    • state (string)
      Example: Draft.
    • id (string)
      Example: 00002091.
    • href (string)
      Example: /services/apexrest/vlocity_cmt/tmforum/productopenapi/v63.0/productorder/00002091Order/801Kj00000AQvovIAD.
    • channel (string)
      Example: Call Center.

    Example

    {
      "orderDate": "2025-02-11T09:25:41.000+0000",
      "relatedParty": [
        {
          "href": "/services/apexrest/vlocity_cmt/tmforum/productopenapi/v63.0/productorder/00002091Account/001Kj00002WDoq5IAD",
          "name": "Salesforce",
          "@type": "RelatedParty",
          "role": "Company"
        }
      ],
      "state": "Draft",
      "id": "00002091",
      "href": "/services/apexrest/vlocity_cmt/tmforum/productopenapi/v63.0/productorder/00002091Order/801Kj00000AQvovIAD",
      "channel": "Call Center"
    }
  • 400 Bad request

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
  • 401 Unauthorized

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
  • 403 Forbidden

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
  • 404 Resource not found

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
  • 405 Method not allowed

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
  • 500 Internal server error

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
  • 501 Not Implemented

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
  • 503 Service Unavailable

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
  • 200

    Headers:

    • X-Ratelimit-Remaining (number, required) The amount of available quota
      Example: 5.
    • X-Ratelimit-Limit (number, required) The maximum available requests per window
      Example: 10.
    • X-Ratelimit-Reset (number, required) The remaining time, in milliseconds, until a new window starts
      Example: 3000.